%define upstream_name    HTML-FormFu-Model-DBIC
%define upstream_version 0.09002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Integrate HTML::FormFu with DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.80
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::FormFu) >= 0.90.10
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(YAML::Syck)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jul 25 2011 jquelin <jquelin> 0.90.20-1.mga2
+ Revision: 128739
- update to 0.09002

* Mon Apr 04 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80368
- update to 0.09000

* Wed Jan 26 2011 jquelin <jquelin> 0.80.20-1.mga1
+ Revision: 40791
- adding missing buildrequires:
- mageia rebuild
- imported package perl-HTML-FormFu-Model-DBIC

